Skip to content

Get user info

Get the all the Phone infos of the currently Authenticated user

HTTP: User Auth in Basic Header

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password)

HTTP Authorization Scheme
basic
API Key: User Auth Password inQuery

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth password for clients who don't support Headers'

Parameter name
password
Located in
query
API Key: User Auth Username in Query

Authenticate using a User account (Pbx.instance_name_User.id (example: pbx20dev_7e6ba1ad-4c3c-43a6-a4b7-8c50e13e730d) is the username and password is sha256 of user.password or user.webrtc_password) Alternative for HTTP Basic Auth username for clients who don't support Headers'

Parameter name
username
Located in
query

Responses

Current user information
Response schema
usernamestring
Username
pbxInstanceobject
Instance of the Pbx
instanceNamestring
Instance name (Normally this is your Mixvoip account name)
example: instance
pbxTypestring
What Pbx type is it
enum: VoxbiPBX MixPBX
extensionsarray<object>
Extensions Linked to the user
Each item — Extension
numberstring
Number of the extension
example: 1234
devicesarray<object>
Devices linked to the extension
Each item — Phone Device
channelTypestring
Channel type is the device using
enum: PJSIP EXTINT SIP
example: PJSIP
numberstring
The number of the device which can be dialed
example: 520
usernamestring
Register username
example: devpbx_520
passwordstring
Register Password
example: foobar123
get https://{username}.voxbi.cloud/api/{version}/user
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/user' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/user', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/user',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/user', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.